# Generated by Django 4.2.11 on 2024-04-16 01:15

import pgtrigger.compiler
import pgtrigger.migrations
from django.db import migrations, models

import baseapp_reactions.models


class Migration(migrations.Migration):

    dependencies = [
        ("baseapp_comments", "0003_alter_comment_comments_count"),
    ]

    operations = [
        pgtrigger.migrations.RemoveTrigger(
            model_name="comment",
            name="snapshot_insert",
        ),
        pgtrigger.migrations.RemoveTrigger(
            model_name="comment",
            name="snapshot_update",
        ),
        pgtrigger.migrations.RemoveTrigger(
            model_name="comment",
            name="snapshot_delete",
        ),
        migrations.AddField(
            model_name="comment",
            name="is_reactions_enabled",
            field=models.BooleanField(default=True),
        ),
        migrations.AddField(
            model_name="commentevent",
            name="is_reactions_enabled",
            field=models.BooleanField(default=True),
        ),
        migrations.AlterField(
            model_name="comment",
            name="reactions_count",
            field=models.JSONField(
                default=baseapp_reactions.models.default_reactions_count, editable=False
            ),
        ),
        pgtrigger.migrations.AddTrigger(
            model_name="comment",
            trigger=pgtrigger.compiler.Trigger(
                name="snapshot_insert",
                sql=pgtrigger.compiler.UpsertTriggerSql(
                    func='INSERT INTO "baseapp_comments_commentevent" ("body", "created", "id", "in_reply_to_id", "is_comments_enabled", "is_edited", "is_pinned", "is_reactions_enabled", "language", "modified", "pgh_context_id", "pgh_created_at", "pgh_label", "pgh_obj_id", "pgh_operation", "profile_content_type_id", "profile_object_id", "status", "target_content_type_id", "target_object_id", "user_id") VALUES (NEW."body", NEW."created", NEW."id", NEW."in_reply_to_id", NEW."is_comments_enabled", NEW."is_edited", NEW."is_pinned", NEW."is_reactions_enabled", NEW."language", NEW."modified", _pgh_attach_context(), NOW(), \'snapshot\', NEW."id", 1, NEW."profile_content_type_id", NEW."profile_object_id", NEW."status", NEW."target_content_type_id", NEW."target_object_id", NEW."user_id"); RETURN NULL;',
                    hash="ef288590370c56e463a520daf665440e3f73a473",
                    operation="INSERT",
                    pgid="pgtrigger_snapshot_insert_32a4a",
                    table="baseapp_comments_comment",
                    when="AFTER",
                ),
            ),
        ),
        pgtrigger.migrations.AddTrigger(
            model_name="comment",
            trigger=pgtrigger.compiler.Trigger(
                name="snapshot_update",
                sql=pgtrigger.compiler.UpsertTriggerSql(
                    condition='WHEN (OLD."id" IS DISTINCT FROM (NEW."id") OR OLD."created" IS DISTINCT FROM (NEW."created") OR OLD."modified" IS DISTINCT FROM (NEW."modified") OR OLD."is_reactions_enabled" IS DISTINCT FROM (NEW."is_reactions_enabled") OR OLD."is_comments_enabled" IS DISTINCT FROM (NEW."is_comments_enabled") OR OLD."user_id" IS DISTINCT FROM (NEW."user_id") OR OLD."profile_content_type_id" IS DISTINCT FROM (NEW."profile_content_type_id") OR OLD."profile_object_id" IS DISTINCT FROM (NEW."profile_object_id") OR OLD."body" IS DISTINCT FROM (NEW."body") OR OLD."language" IS DISTINCT FROM (NEW."language") OR OLD."is_edited" IS DISTINCT FROM (NEW."is_edited") OR OLD."is_pinned" IS DISTINCT FROM (NEW."is_pinned") OR OLD."target_content_type_id" IS DISTINCT FROM (NEW."target_content_type_id") OR OLD."target_object_id" IS DISTINCT FROM (NEW."target_object_id") OR OLD."in_reply_to_id" IS DISTINCT FROM (NEW."in_reply_to_id") OR OLD."status" IS DISTINCT FROM (NEW."status"))',
                    func='INSERT INTO "baseapp_comments_commentevent" ("body", "created", "id", "in_reply_to_id", "is_comments_enabled", "is_edited", "is_pinned", "is_reactions_enabled", "language", "modified", "pgh_context_id", "pgh_created_at", "pgh_label", "pgh_obj_id", "pgh_operation", "profile_content_type_id", "profile_object_id", "status", "target_content_type_id", "target_object_id", "user_id") VALUES (NEW."body", NEW."created", NEW."id", NEW."in_reply_to_id", NEW."is_comments_enabled", NEW."is_edited", NEW."is_pinned", NEW."is_reactions_enabled", NEW."language", NEW."modified", _pgh_attach_context(), NOW(), \'snapshot\', NEW."id", 2, NEW."profile_content_type_id", NEW."profile_object_id", NEW."status", NEW."target_content_type_id", NEW."target_object_id", NEW."user_id"); RETURN NULL;',
                    hash="1c8ef5a73edb70306505194bc0586fa3f1141905",
                    operation="UPDATE",
                    pgid="pgtrigger_snapshot_update_ebf3b",
                    table="baseapp_comments_comment",
                    when="AFTER",
                ),
            ),
        ),
        pgtrigger.migrations.AddTrigger(
            model_name="comment",
            trigger=pgtrigger.compiler.Trigger(
                name="snapshot_delete",
                sql=pgtrigger.compiler.UpsertTriggerSql(
                    func='INSERT INTO "baseapp_comments_commentevent" ("body", "created", "id", "in_reply_to_id", "is_comments_enabled", "is_edited", "is_pinned", "is_reactions_enabled", "language", "modified", "pgh_context_id", "pgh_created_at", "pgh_label", "pgh_obj_id", "pgh_operation", "profile_content_type_id", "profile_object_id", "status", "target_content_type_id", "target_object_id", "user_id") VALUES (OLD."body", OLD."created", OLD."id", OLD."in_reply_to_id", OLD."is_comments_enabled", OLD."is_edited", OLD."is_pinned", OLD."is_reactions_enabled", OLD."language", OLD."modified", _pgh_attach_context(), NOW(), \'snapshot\', OLD."id", 3, OLD."profile_content_type_id", OLD."profile_object_id", OLD."status", OLD."target_content_type_id", OLD."target_object_id", OLD."user_id"); RETURN NULL;',
                    hash="28bd9ca14c934958d7d9cf552ffd546b0bdbbbff",
                    operation="DELETE",
                    pgid="pgtrigger_snapshot_delete_411f5",
                    table="baseapp_comments_comment",
                    when="AFTER",
                ),
            ),
        ),
    ]
